> This page is for version v2.0.
> For other versions, use one of these documentation indexes:
> - 2026-07 (default): https://developer-stage.shipbob.dev/2026-07/llms.txt
> - 2026-01: https://developer-stage.shipbob.dev/2026-01/llms.txt
> - 2025-07: https://developer-stage.shipbob.dev/2025-07/llms.txt
> - v2.0: https://developer-stage.shipbob.dev/v2.0/llms.txt
> - v1.0: https://developer-stage.shipbob.dev/v1.0/llms.txt
> - Experimental: https://developer-stage.shipbob.dev/experimental/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-stage.shipbob.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server.

# Get the status of a simulation


GET https://sandbox-api.shipbob.com/2.0/simulate/status/{simulationId}

Get the status of a simulation


Reference: https://developer-stage.shipbob.dev/v2.0/api/simulations/get-the-status-of-a-simulation

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Request

### Path parameters

- `simulationId` (string, required) — The simulation id

## Response

### 200

The simulation status

- `entity_id` (string, optional, nullable)
- `entity_type` (string, optional, nullable)
- `simulation` (Simulation.actionStatusResponseModel, optional)
- `simulation_id` (string, optional, nullable)

## Types

### Simulation.actionStatusResponseModel

- `action` (string, optional, nullable)
- `message` (string, optional, nullable)
- `next` (Simulation.actionStatusResponseModel, optional)
- `schedule_time` (datetime, optional, nullable)
- `status` (string, optional, nullable)

## Examples

**Response**

```json
{
  "entity_id": "string",
  "entity_type": "string",
  "simulation": {
    "action": "string",
    "message": "string",
    "next": {},
    "schedule_time": "2019-08-24T14:15:22+00:00",
    "status": "string"
  },
  "simulation_id": "df0e679f-936d-49a6-bcd5-04f5809bd3f2"
}
```

**SDK Code**

```python default
import requests

url = "https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2.0/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```